import matplotlib.pyplot as plt
import seaborn as sns
import pandas as pd

sns.set_style("darkgrid")
df = sns.load_dataset("mpg")

fn_filter = lambda x: True if x in [4, 8] else False
fn_mod = lambda x: {4: 'four', 8: 'eight'}[x]
df_mod1 = df[df['cylinders'].map(fn_filter)].copy()
df_mod1['cylinders'] = df_mod1['cylinders'].map(fn_mod)

sns.lineplot(x='model_year', y='horsepower', size='cylinders',
             data=df_mod1)

plt.show()
